Assistant
Create realtime transcription session.
Create a short-lived transcription session credential for direct browser audio.
POST
/
api
/
v1
/
assistant
/
audio
/
transcription-sessions
Create realtime transcription session.
curl --request POST \
--url https://api.revoengine.com/api/v1/assistant/audio/transcription-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "en",
"prompt": "<string>",
"expiresAfterSeconds": 120
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'en', prompt: '<string>', expiresAfterSeconds: 120})
};
fetch('https://api.revoengine.com/api/v1/assistant/audio/transcription-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/assistant/audio/transcription-sessions"
payload = {
"language": "en",
"prompt": "<string>",
"expiresAfterSeconds": 120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"clientSecret": "<string>",
"expiresAt": 123,
"model": "<string>",
"sessionType": "transcription"
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
Optional ISO-639-1 language hint for the spoken audio, for example "en".
Maximum string length:
8Example:
"en"
Optional extra transcription prompt or vocabulary. The backend always adds the assistant coding/business vocabulary baseline.
Maximum string length:
1000Client secret lifetime in seconds. Keep this short because the token is usable from the browser.
Required range:
10 <= x <= 600Response
Realtime transcription session created.
Short-lived credential for browser audio transcription.
Unix timestamp in seconds when the client secret expires.
Identifier of the transcription model selected by the instance.
Audio transcription session type.
Example:
"transcription"
⌘I
Create realtime transcription session.
curl --request POST \
--url https://api.revoengine.com/api/v1/assistant/audio/transcription-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "en",
"prompt": "<string>",
"expiresAfterSeconds": 120
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'en', prompt: '<string>', expiresAfterSeconds: 120})
};
fetch('https://api.revoengine.com/api/v1/assistant/audio/transcription-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/assistant/audio/transcription-sessions"
payload = {
"language": "en",
"prompt": "<string>",
"expiresAfterSeconds": 120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"clientSecret": "<string>",
"expiresAt": 123,
"model": "<string>",
"sessionType": "transcription"
}
